<?php
if ( ! defined( 'ABSPATH' ) ) { die( '-1' ); }
/*
 * Templatation.com
 *
 * VC integration
 *
 */

// Set VC as theme.
if( function_exists('vc_set_as_theme') ){
	function tt_temptt_vcAsTheme() {
	vc_set_as_theme(true);
	global $vc_manager;
	$vc_manager->setEditorDefaultPostTypes( array( 'page', 'tt-service') );
	$vc_manager->frontendEditor()->disableInline();
	}
	add_action( 'vc_before_init', 'tt_temptt_vcAsTheme' );
}

// Initialize VC modules.

include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_gmap.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_gallery_block.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_accordion.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_pricing.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_contact.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_title.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_clients.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_brands.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_menu.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_download.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_job_position.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_footer_info_block.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_vc_hero_block.php');
include( get_template_directory() . '/inc/integrations/visual-composer/tt_lc_list.php');



